%global pypi_name openstackdocstheme
%global common_desc \
OpenStack docs.openstack.org Sphinx Theme\
\
Theme and extension support for Sphinx documentation that is published to\
docs.openstack.org. Intended for use by OpenStack projects.

Summary:        OpenStack Docs Theme
Name:           python-%{pypi_name}
Version:        3.2.0
Release:        2%{?dist}
License:        ASL 2.0
URL:            http://docs.openstack.org/
Source0:        %{pypi_source}

 
BuildRequires:  python3-devel pyproject-rpm-macros python3-sphinx git-core

BuildArch:      noarch
 
%description
%{common_desc}
 
%package -n     python3-%{pypi_name}
Summary:        OpenStack Docs Theme
Requires:       python3-sphinx python3-babel
 
%description -n python3-%{pypi_name}
%{common_desc}
 
%package -n     python-%{pypi_name}-doc
Summary:        openstackdocstheme documentation

%description -n python-%{pypi_name}-doc
Documentation for openstackdocstheme
 
%generate_buildrequires
%pyproject_buildrequires
 
%prep
%autosetup -n %{pypi_name}-%{version} -p1 -S git
sed -i '/warning-is-error/d' setup.cfg
 
%build
%pyproject_wheel
export PYTHONPATH=.
sphinx-build -b html doc/source doc/build/html
rm -rf html/.{doctrees,buildinfo}
 
%install
%pyproject_install
%pyproject_save_files %{pypi_name}
 
%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/docstheme-build-pdf
%{_bindir}/docstheme-build-translated.sh
%{_bindir}/docstheme-lang-display-name.py
 
%files -n python-%{pypi_name}-doc
%doc doc/build/html
 
%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0-2
- Rebuilt for loongarch release

* Sat Oct 07 2023 Upgrade Robot <upbot@opencloudos.org> - 3.2.0-1
- Upgrade to version 3.2.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 kianli <kianli@tencent.com> - 3.1.0-1
- initial build
